mali_drm support for 3.x kernels

Note: This was originally posted on 24th February 2013 at http://forums.arm.com

Hi to all,

I'm stuck with trying to build Linux Kernel Device Driver r3p2-01rel0 for 3.0.8 kernel.

The problem is that mali_drm calls to drm functions that disappeared on 2.6.37-2.6.38 kernels:
drm_calloc
DRM_MEM_DRIVER
drm_free
DRIVER_USE_PLATFORM_DEVICE
get_map_ofs
drm_core_get_map_ofs
get_reg_ofs
drm_init
drm_exit

So the question is if a mali_drm 3.x compliant driver could be released.

Thanks in advance.
  • Note: This was originally posted on 1st May 2013 at http://forums.arm.com

    I also have this problem. Kernel 3.0.62. How to make?
  • Note: This was originally posted on 2nd May 2013 at http://forums.arm.com


    Hi to all,

    I'm stuck with trying to build Linux Kernel Device Driver r3p2-01rel0 for 3.0.8 kernel.

    The problem is that mali_drm calls to drm functions that disappeared on 2.6.37-2.6.38 kernels:
    drm_calloc
    DRM_MEM_DRIVER
    drm_free
    DRIVER_USE_PLATFORM_DEVICE
    get_map_ofs
    drm_core_get_map_ofs
    get_reg_ofs
    drm_init
    drm_exit

    So the question is if a mali_drm 3.x compliant driver could be released.

    Thanks in advance.


    Hi Toni,

    You are correct that the Mali DRM kernel driver in R3P2 is not compatible with kernel 3.0 . As the kernel driver is open-source -thus it is kept more up-to-date- it is recommended to use the Mali kernel driver that comes with the kernel instead of the one comes with the DDK. The interface between Mali userspace & kernel driver is generally stable so there should be no problem using the stock Mali kernel driver with the rest of the DDK (e.g., UMP, libMali.so and mali_kbase).

    Please let me know if that helps.

    Best regards,
    Tu
More questions in this forum